Bug 848882 - misleading/wrong keep-alive error message in log
misleading/wrong keep-alive error message in log
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 13:24 EDT by Kaleb KEITHLEY
Modified: 2013-12-18 19:08 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:17:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaleb KEITHLEY 2012-08-16 13:24:52 EDT
Description of problem:

Gluster NFS and brick logs contain the following log entries:


[2012-08-16 09:23:39.498998] W [socket.c:410:__socket_keepalive] 0-socket: failed to set keep idle on socket 8
[2012-08-16 09:23:39.499049] W [socket.c:1876:socket_server_event_handler] 0-socket.glusterfsd: Failed to set keep-alive: Operation not supported
[2012-08-16 09:23:42.673756] I [client-handshake.c:1636:select_server_supported_

Stepping through the code though, setting keep-alive did actually work, it's the keep-idle that failed.

The actual problem is setting keep-idle on non-AF_INET sockets results in the spurious error message in the log.


Version-Release number of selected component (if applicable):

all (-head, 3.3.0, 3.2.7)

How reproducible:

create and start a volume. Examine the logs.

Steps to Reproduce:

  
Actual results:


Expected results:


Additional info:
Comment 1 Vijay Bellur 2012-08-19 12:29:03 EDT
CHANGE: http://review.gluster.com/3823 (misleading/wrong keep-alive error message in log) merged in master by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.